Retrieves all the user_sales_territory_list objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_sales_territory_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_sales_territory_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_sales_territory_list

user

Optionally required : user_id, user_code or user must be provided

sales_territory_id

Foreign key to sales_territory

globally unique identifier

Optionally required : sales_territory_id, sales_territory_code or sales_territory must be provided

sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating user_sales_territory_list

string

Optionally required : sales_territory_id, sales_territory_code or sales_territory must be provided

sales_territory

Embedded entity "sales_territory" using node when adding/updating user_sales_territory_list

sales_territory

Optionally required : sales_territory_id, sales_territory_code or sales_territory must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "0130a554-7731-4bd1-afde-71ab8fca86fc",
  "user_id": "84fedc0a-c4c4-464d-a3d3-ab81f1b2f145",
  "user_code": "sample string 3",
  "sales_territory_id": "04bc68d3-305e-4b15-b2d7-007b907caf06",
  "sales_territory_code": "sample string 5",
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-08-15T05:28:22.9211914+00:00"
}